%define upstream_name    Catalyst-Authentication-Credential-OpenID
%define upstream_version 0.19

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 8

Summary:    OpenID credential for Catalyst::Plugin::Authentication framework
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Catalyst/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Cache::FastMmap)
BuildRequires: perl(Catalyst)
BuildRequires: perl(Catalyst::Authentication::User::Hash)
BuildRequires: perl(Catalyst::Plugin::Authentication)
BuildRequires: perl(Catalyst::Devel)
BuildRequires: perl(Catalyst::Plugin::Session::State::Cookie)
BuildRequires: perl(Catalyst::Plugin::Session::Store::FastMmap)
BuildRequires: perl(Class::Accessor::Fast)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(HTML::Parser)
BuildRequires: perl(LWP::UserAgent)
BuildRequires: perl(Net::OpenID::Consumer)
BuildRequires: perl(Test::More)
BuildRequires: perl(parent)
BuildArch: noarch


%description
D'er... testing. Has an OpenID provider to test the OpenID credential
against.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Sat Jun 18 2016 pterjan <pterjan> 0.190.0-8.mga6
+ Revision: 1022845
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.190.0-7.mga6
+ Revision: 949351
- Mageia 6 Mass Rebuild

* Sun Oct 19 2014 umeabot <umeabot> 0.190.0-6.mga5
+ Revision: 789650
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.190.0-5.mga5
+ Revision: 749782
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.190.0-3.mga4
+ Revision: 509631
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.190.0-2.mga3
+ Revision: 363850
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Oct 12 2012 shlomif <shlomif> 0.190.0-1.mga3
+ Revision: 304726
- New version
- New version 0.19

* Wed Jan 26 2011 jquelin <jquelin> 0.160.0-1.mga1
+ Revision: 41235
- mageia rebuild
- imported package perl-Catalyst-Authentication-Credential-OpenID


* Fri Dec 24 2010 Shlomi Fish <shlomif@mandriva.org> 0.160.0-1mdv2011.0
+ Revision: 624676
- import perl-Catalyst-Authentication-Credential-OpenID

